
TYPO3.Neos - Bug # 53706

Status: Closed Priority: -- undefined --
Author: Alexander Schnitzler Category:
Created: 2013-11-16 Assigned To:
Updated: 2014-10-02 Due date:
Subject: Exception is thrown when deleting a package
Description

Warning: Invalid argument supplied for foreach() in
/vagrant/src/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_ExtJS_ViewHelpers_ExtDirect_ProviderViewHelper.php line 82
26 TYPO3\Flow\Error\ErrorHan
rViewHelper.php line 82
26 TYPO3\Flow\Error\ErrorHandler::handleError(2, "Invalid argument supplied for foreach()",
"/vagrant/src/Data/Temporary/Development/Cache/Code…ExtJS_ViewHelpers_ExtDirect_ProviderViewHelper.php", 82,
array|7|)

25 TYPO3\ExtJS\ViewHelpers\ExtDirect\ProviderViewHelper_Original::render(NULL)

24 call_user_func_array(array|2|, array|1|)

23 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::callRenderMethod()

22 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::initializeArgumentsAndRender()

21
FluidCache_TYPO3_Neos_Backend_Module_action_index_e5d94aac4b8f32829465a631d7d1b4c318a963b7::section_1a954628a960aaef81d7b2d4521929579f3541e6(TYPO3\Fluid\Core\Rendering\RenderingContext)

20 TYPO3\Fluid\View\AbstractTemplateView::renderSection("head", array|1|, FALSE)

19 TYPO3\Fluid\ViewHelpers\RenderViewHelper_Original::render("head", NULL, array|0|, FALSE)

18 call_user_func_array(array|2|, array|4|)

17 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::callRenderMethod()

16 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::initializeArgumentsAndRender()

15 FluidCache_TYPO3_Neos_Backend_Module_layout_Default_ca54c0e07492b77ea6d2b6f96f6985c19d16d85d::render(TYPO3\Fluid\Core\Rendering\RenderingContext)

14 TYPO3\Fluid\View\AbstractTemplateView::render()

13 TYPO3\Flow\Mvc\Controlle
28a960aaef81d7b2d4521929579f3541e6(TYPO3\Fluid\Core\Rendering\RenderingContext)

20 TYPO3\Fluid\View\AbstractTemplateView::renderSection("head", array|1|, FALSE)

19 TYPO3\Fluid\ViewHelpers\RenderViewHelper_Original::render("head", NULL, array|0|, FALSE)

18 call_user_func_array(array|2|, array|4|)

17 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::callRenderMethod()

16 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::initializeArgumentsAndRender()

15
FluidCache_TYPO3_Neos_Backend_Module_layout_Default_ca54c0e07492b77ea6d2b6f96f6985c19d16d85d::render(TYPO3\Fluid\Core\Rendering\RenderingContext)

14 TYPO3\Fluid\View\AbstractTemplateView::render()

13 TYPO3\Flow\Mvc\Controller\ActionController_Original::callActionMethod()

12 TYPO3\Flow\Mvc\Controller\ActionController_Original::processRequest(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

11 TYPO3\Flow\Mvc\Dispatcher_Original::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

10 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

9 call_user_func_array(array|2|, array|2|)

8 TYPO3\Flow\Mvc\Dispatcher::Flow_Aop_Proxy_invokeJoinPoint(TYPO3\Flow\Aop\JoinPoint)

7 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

6 TYPO3\Flow\Security\Aspect\RequestDispatchingAspect_Original::blockIllegalRequestsAndForwardToAuthenticationEntryPoints(TYPO3\Flow\Aop\JoinPoint)

5 TYPO3\Flow\Aop\Advice\AroundAdvice::invoke(TYPO3\Flow\Aop\JoinPoint)

4 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

3 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

2 TYPO3\Flow\Http\RequestHandler::handleRequest()

1 TYPO3\Flow\Core\Bootstrap::run()

\Fluid\Core\Rendering\RenderingContext)

14 TYPO3\Fluid\View\AbstractTemplateView::render()

13 TYPO3\Flow\Mvc\Controller\ActionController_Original::callActionMethod()

12 TYPO3\Flow\Mvc\Controller\ActionController_Original::processRequest(TYPO3\Flow\Mvc\ActionRequest,
TYPO3\Flow\Http\Response)

11 TYPO3\Flow\Mvc\Dispatcher_Original::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

10 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)
9 call_user_func_array(array|2|, array|2|)

8 TYPO3\Flow\Mvc\Dispatcher::Flow_Aop_Proxy_invokeJoinPoint(TYPO3\Flow\Aop\JoinPoint)

7 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

6
TYPO3\Flow\Security\Aspect\RequestDispatchingAspect_Original::blockIllegalRequestsAndForwardToAuthenticationEntryPoints(TYPO3\Flow\Aop\JoinPoint)

5 TYPO3\Flow\Aop\Advice\AroundAdvice::invoke(TYPO3\Flow\Aop\JoinPoint)

4 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

3 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

2 TYPO3\Flow\Http\RequestHandler::handleRequest()

1 TYPO3\Flow\Core\Bootstrap::run()

ts(TYPO3\Flow\Aop\JoinPoint)

5 TYPO3\Flow\Aop\Advice\AroundAdvice::invoke(TYPO3\Flow\Aop\JoinPoint)

4 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

3 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

2 TYPO3\Flow\Http\RequestHandler::handleRequest()

1 TYPO3\Flow\Core\Bootstrap::run()

Working on beta1

History
#1 - 2013-12-18 13:54 - Bastian Waidelich
- Status changed from New to Needs Feedback

Hi Alexander,

please provide more information: How did you delete which package in what context?

#2 - 2013-12-18 14:09 - Alexander Schnitzler

Hi Bastian,
it's been a while now but what I still know is that I worked in Development context and I tried to delete a package via the Neos package management
interface.

I guess I wanted to remove the demo site package.

#3 - 2013-12-18 18:47 - Stefan Werdelmann

Hi Bastian,

This problem also happend to me just this moment, so maybe I can provide some more information.

I was trying to delete the Typo3 Neos Demo Package in development context via the package management. When I tried to delete the package, the
demo page was still present in the page management (but inactive).
Since I'll leave the office in a while, I won't be available until tomorrow.
This was the backtrace:

Uncaught Exception in Flow
#1: Warning: Invalid argument supplied for foreach() in
/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_ExtJS_ViewHelpers_ExtDirect_ProviderViewHelper.php line 82
More information

TYPO3\Flow\Erro
wHelpers_ExtDirect_ProviderViewHelper.php line 82
More information

TYPO3\Flow\Error\Exception thrown in file
Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Error/ErrorHandler.php in line 77.
Reference code: 2013121818323745b914

Go to the FORGE issue tracker and report the issue - if you think it is a bug!

26 TYPO3\Flow\Error\ErrorHandler::handleError(2, "Invalid argument supplied for foreach()",
"/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0…ExtJS_ViewHelpers_ExtDirect_ProviderViewHelper.php", 82, array|11|)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_ExtJS_ViewHelpers_ExtDirect_ProviderViewHelper.php:
00080:   foreach ($controllerClassNames as $controllerClassName) {
00081:    $methodNames = get_class_methods($controllerClassName);
00082:    foreach ($methodNames as $methodName) {
00083:     $methodTagsValues = $this->localReflectionService->getMethodTagsValues($controllerClassName, $methodName);
00084:     if (isset($methodTagsValues['extdirect'])) {

25 TYPO3\ExtJS\ViewHelpers\ExtDirect\ProviderViewHelper_Original::render(NULL)

24 call_user_func_array(array|2|, array|1|)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00268: 
00269:   try {
00270:    return call_user_func_array(array($this, 'render'), $renderMethodParameters);
00271:
wHelpers_ExtDirect_ProviderViewHelper.php:
00080:   foreach ($controllerClassNames as $controllerClassName) {
00081:    $methodNames = get_class_methods($controllerClassName);
00082:    foreach ($methodNames as $methodName) {
00083:     $methodTagsValues = $this->localReflectionService->getMethodTagsValues($controllerClassName, $methodName);
00084:     if (isset($methodTagsValues['extdirect'])) {

25 TYPO3\ExtJS\ViewHelpers\ExtDirect\ProviderViewHelper_Original::render(NULL)

24 call_user_func_array(array|2|, array|1|)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00268: 
00269:   try {
00270:    return call_user_func_array(array($this, 'render'), $renderMethodParameters);
00271:   } catch (Exception $exception) {
00272:    if (!$this->objectManager->getContext()->isProduction()) {

23 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::callRenderMethod()

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00249:   $this->initialize();
00250: 
00251:   return $this->callRenderMethod();
00252:  }
00253: 

22 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::initializeArgumentsAndRender()

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Fluid_TemplateCache/TYPO3_Neos_Backend_Module_action_index_c71b37402d69ca9fd27fdd73137b5e5024e9e550.php:
00197: // End of ViewHelper TYPO3\ExtJS\ViewHelpers\ExtDirect\ProviderViewHelper
00198: 
00199: $output0 .= $viewHelper29->initializeArgumentsAndRender();
00200: 
00201: $output0 .= ';

21 FluidCache_TYPO3_Neos_Backend_Module_action_index_c71b37402d69ca9fd27fdd73137b5e5024e9e550::section_1a954628a960aaef81d7b2d4521929579f3541e6(TYPO3\Fluid\Core\Rendering\RenderingContext)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/View/AbstractTemplateView.php:
00253:    }
00254:    $this->startRendering($renderingTypeOnNextLevel, $parsedTemplate, $renderingContext);
00255:    $output = $parsedTemplate->$methodNameOfSection($renderingContext);
00256:    $this->stopRendering();
00257:   } else {

20 TYPO3\Fluid\View\AbstractTemplateView::renderSection("head", array|1|, FALSE)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_ViewHelpers_RenderViewHelper.php:
00090:    return $this->viewHelperVariableContainer->getView()->renderPartial($partial, $section, $arguments);
00091:   } elseif ($section !== NULL) {
00092:    return $this->viewHelperVariableContainer->getView()->renderSection($section, $arguments, $optional);
00093:   }
00094:   return '';

19 TYPO3\Fluid\ViewHelpers\RenderViewHelper_Original::render("head", NULL, array|0|, FALSE)

18 call_user_func_array(array|2|, array|4|)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00268: 
00269:   try {
00270:    return call_user_func_array(array($this, 'render'), $renderMethodParameters);
00271:   } catch (Exception $exception) {
00272:    if (!$this->objectManager->getContext()->isProduction()) {

17 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::callRenderMethod()

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00249:   $this->initialize();
00250: 
00251:   return $this->callRenderMethod();
00252:  }
00253: 

16 TYPO3\Fluid\Core\ViewHelpe
kend_Module_action_index_c71b37402d69ca9fd27fdd73137b5e5024e9e550.php:
00197: // End of ViewHelper TYPO3\ExtJS\ViewHelpers\ExtDirect\ProviderViewHelper
00198: 
00199: $output0 .= $viewHelper29->initializeArgumentsAndRender();
00200: 
00201: $output0 .= ';

21
FluidCache_TYPO3_Neos_Backend_Module_action_index_c71b37402d69ca9fd27fdd73137b5e5024e9e550::section_1a954628a960aaef81d7b2d4521929579f3541e6(TYPO3\Fluid\Core\Rendering\RenderingContext)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/View/AbstractTemplateView.php:
00253:    }
00254:    $this->startRendering($renderingTypeOnNextLevel, $parsedTemplate, $renderingContext);
00255:    $output = $parsedTemplate->$methodNameOfSection($renderingContext);
00256:    $this->stopRendering();
00257:   } else {

20 TYPO3\Fluid\View\AbstractTemplateView::renderSection("head", array|1|, FALSE)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_ViewHelpers_RenderViewHelper.php:
00090:    return $this->viewHelperVariableContainer->getView()->renderPartial($partial, $section, $arguments);
00091:   } elseif ($section !== NULL) {
00092:    return $this->viewHelperVariableContainer->getView()->renderSection($section, $arguments, $optional);
00093:   }
00094:   return '';

19 TYPO3\Fluid\ViewHelpers\RenderViewHelper_Original::render("head", NULL, array|0|, FALSE)

18 call_user_func_array(array|2|, array|4|)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00268: 
00269:   try {
00270:    return call_user_func_array(array($this, 'render'), $renderMethodParameters);
00271:   } catch (Exception $exception) {
00272:    if (!$this->objectManager->getContext()->isProduction()) {

17 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::callRenderMethod()

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00249:   $this->initialize();
00250: 
00251:   return $this->callRenderMethod();
00252:  }
00253: 

16 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::initializeArgumentsAndRender()

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Fluid_TemplateCache/TYPO3_Neos_Backend_Module_layout_Default_69a4e84dce0acce64418accee2c6ae9fb5ac4bee.php:
00042: // End of ViewHelper TYPO3\Fluid\ViewHelpers\RenderViewHelper
00043: 
00044: $output0 .= $viewHelper3->initializeArgumentsAndRender();
00045: 
00046: $output0 .= '

15 FluidCache_TYPO3_Neos_Backend_Module_layout_Default_69a4e84dce0acce64418accee2c6ae9fb5ac4bee::render(TYPO3\Fluid\Core\Rendering\RenderingContext)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/View/AbstractTemplateView.php:
00207:    }
00208:    $this->startRendering(self::RENDERING_LAYOUT, $parsedTemplate, $this->baseRenderingCon
7b2d4521929579f3541e6(TYPO3\Fluid\Core\Rendering\RenderingContext)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/View/AbstractTemplateView.php:
00253:    }
00254:    $this->startRendering($renderingTypeOnNextLevel, $parsedTemplate, $renderingContext);
00255:    $output = $parsedTemplate->$methodNameOfSection($renderingContext);
00256:    $this->stopRendering();
00257:   } else {

20 TYPO3\Fluid\View\AbstractTemplateView::renderSection("head", array|1|, FALSE)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Fluid_ViewHelpers_RenderViewHelper.php:
00090:    return $this->viewHelperVariableContainer->getView()->renderPartial($partial, $section, $arguments);
00091:   } elseif ($section !== NULL) {
00092:    return $this->viewHelperVariableContainer->getView()->renderSection($section, $arguments, $optional);
00093:   }
00094:   return '';

19 TYPO3\Fluid\ViewHelpers\RenderViewHelper_Original::render("head", NULL, array|0|, FALSE)

18 call_user_func_array(array|2|, array|4|)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00268: 
00269:   try {
00270:    return call_user_func_array(array($this, 'render'), $renderMethodParameters);
00271:   } catch (Exception $exception) {
00272:    if (!$this->objectManager->getContext()->isProduction()) {

17 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::callRenderMethod()

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00249:   $this->initialize();
00250: 
00251:   return $this->callRenderMethod();
00252:  }
00253: 

16 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::initializeArgumentsAndRender()

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Fluid_TemplateCache/TYPO3_Neos_Backend_Module_layout_Default_69a4e84dce0acce64418accee2c6ae9fb5ac4bee.php:
00042: // End of ViewHelper TYPO3\Fluid\ViewHelpers\RenderViewHelper
00043: 
00044: $output0 .= $viewHelper3->initializeArgumentsAndRender();
00045: 
00046: $output0 .= '

15 FluidCache_TYPO3_Neos_Backend_Module_layout_Default_69a4e84dce0acce64418accee2c6ae9fb5ac4bee::render(TYPO3\Fluid\Core\Rendering\RenderingContext)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/View/AbstractTemplateView.php:
00207:    }
00208:    $this->startRendering(self::RENDERING_LAYOUT, $parsedTemplate, $this->baseRenderingContext);
00209:    $output = $parsedLayout->render($this->baseRenderingContext);
00210:    $this->stopRendering();
00211:   } else {

14 TYPO3\Fluid\View\AbstractTemplateView::render()

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Controller_ActionController.php:
00403: 
00404:   if ($actionResult === NULL && $this->view instanceof \TYPO3\Flow\Mvc\View\ViewInterface) {
00405:    $this->response->appendContent($this->view->render());
00406:   } elseif (is_string($actionResult) && strlen($actionResult) > 0) {
00407:    $this->response->appendContent($actionResult);

13 TYPO3\Flow\Mvc\Controller\ActionController_Original::callActionMethod()

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Controller_ActionController.php:
00167:   }
00168: 
00169:   $this->callActionMethod();
00170: 
00171:  }

12 TYPO3\Flow\Mvc\Controller\ActionController_Original::processRequest(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Cl
Helpers_RenderViewHelper.php:
00090:    return $this->viewHelperVariableContainer->getView()->renderPartial($partial, $section, $arguments);
00091:   } elseif ($section !== NULL) {
00092:    return $this->viewHelperVariableContainer->getView()->renderSection($section, $arguments, $optional);
00093:   }
00094:   return '';

19 TYPO3\Fluid\ViewHelpers\RenderViewHelper_Original::render("head", NULL, array|0|, FALSE)

18 call_user_func_array(array|2|, array|4|)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00268: 
00269:   try {
00270:    return call_user_func_array(array($this, 'render'), $renderMethodParameters);
00271:   } catch (Exception $exception) {
00272:    if (!$this->objectManager->getContext()->isProduction()) {

17 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::callRenderMethod()

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/Core/ViewHelper/AbstractViewHelper.php:
00249:   $this->initialize();
00250: 
00251:   return $this->callRenderMethod();
00252:  }
00253: 

16 TYPO3\Fluid\Core\ViewHelper\AbstractViewHelper::initializeArgumentsAndRender()

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Fluid_TemplateCache/TYPO3_Neos_Backend_Module_layout_Default_69a4e84dce0acce64418accee2c6ae9fb5ac4bee.php:
00042: // End of ViewHelper TYPO3\Fluid\ViewHelpers\RenderViewHelper
00043: 
00044: $output0 .= $viewHelper3->initializeArgumentsAndRender();
00045: 
00046: $output0 .= '

15 FluidCache_TYPO3_Neos_Backend_Module_layout_Default_69a4e84dce0acce64418accee2c6ae9fb5ac4bee::render(TYPO3\Fluid\Core\Rendering\RenderingContext)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/View/AbstractTemplateView.php:
00207:    }
00208:    $this->startRendering(self::RENDERING_LAYOUT, $parsedTemplate, $this->baseRenderingContext);
00209:    $output = $parsedLayout->render($this->baseRenderingContext);
00210:    $this->stopRendering();
00211:   } else {

14 TYPO3\Fluid\View\AbstractTemplateView::render()

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Controller_ActionController.php:
00403: 
00404:   if ($actionResult === NULL && $this->view instanceof \TYPO3\Flow\Mvc\View\ViewInterface) {
00405:    $this->response->appendContent($this->view->render());
00406:   } elseif (is_string($actionResult) && strlen($actionResult) > 0) {
00407:    $this->response->appendContent($actionResult);

13 TYPO3\Flow\Mvc\Controller\ActionController_Original::callActionMethod()

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Controller_ActionController.php:
00167:   }
00168: 
00169:   $this->callActionMethod();
00170: 
00171:  }

12 TYPO3\Flow\Mvc\Controller\ActionController_Original::processRequest(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00075:    try {
00076:     $this->emitBeforeControllerInvocation($request, $response, $controller);
00077:     $controller->processRequest($request, $response);
00078:     $this->emitAfterControllerInvocation($request, $response, $controller);
00079:    } catch (StopActionException $exception) {

11 TYPO3\Flow\Mvc\Dispatcher_Original::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00292:    $this->Flow_Aop_Proxy_fixMethodsAndAdvicesArrayForDoctrineProxies();
00293:   if (isset($this->Flow_Aop_Proxy_methodIsInAdviceMode['dispatch'])) {
00294:   $result = parent::dispatch($request, $response);
00295: 
00296:   } else {

10 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

9 call_user_func_array(array|2|, array|2|)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00276:   if (__CLASS__ !== $joinPoint->getClassName()) return parent::Flow_Aop_Proxy_invokeJoinPoint($joinPoint);
00277:   if (isset($this->Flow_Aop_Proxy_methodIsInAdviceMode[$joinPoint->getMethodName()])) {
00278:    return call_user_func_array(array('self', $joinPoint->getMethodName()), $joinPoint->getMethodArguments());
00279:   }
00280:  }

8 TYPO3\Flow\Mvc\Dispatcher::Flow_Aop_Proxy_invokeJoinPoint(TYPO3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AdviceChain.php:
00055:    $result = $this->advices[$this->adviceIndex]->invoke($joinPoint);
00056:   } else {
00057:    $result = $joinPoint->getProxy()->Flow_Aop_Proxy_invokeJoinpoint($joinPoint);
00058:   }
00059:   return $result;

7 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Security_Aspect_RequestDispatchingAspect.php:
00078:   try {
00079:    $this->firewall->blockIllegalRequests($request);
00080:    return $joinPoint->getAdviceChain()->proceed($joinPoint);
00081:   } catch (AuthenticationRequiredException $exception) {
00082:    $response = $joinPoint->getMethodArgument('response');

6 TYPO3\Flow\Security\Aspect\RequestDispatchingAspect_Original::blockIllegalRequestsAndForwardToAuthenticationEntryPoints(TYPO3\Flow\Aop\JoinPoint)


kend_Module_layout_Default_69a4e84dce0acce64418accee2c6ae9fb5ac4bee.php:
00042: // End of ViewHelper TYPO3\Fluid\ViewHelpers\RenderViewHelper
00043: 
00044: $output0 .= $viewHelper3->initializeArgumentsAndRender();
00045: 
00046: $output0 .= '
15
FluidCache_TYPO3_Neos_Backend_Module_layout_Default_69a4e84dce0acce64418accee2c6ae9fb5ac4bee::render(TYPO3\Fluid\Core\Rendering\RenderingContext)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/View/AbstractTemplateView.php:
00207:    }
00208:    $this->startRendering(self::RENDERING_LAYOUT, $parsedTemplate, $this->baseRenderingContext);
00209:    $output = $parsedLayout->render($this->baseRenderingContext);
00210:    $this->stopRendering();
00211:   } else {

14 TYPO3\Fluid\View\AbstractTemplateView::render()

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Controller_ActionController.php:
00403: 
00404:   if ($actionResult === NULL && $this->view instanceof \TYPO3\Flow\Mvc\View\ViewInterface) {
00405:    $this->response->appendContent($this->view->render());
00406:   } elseif (is_string($actionResult) && strlen($actionResult) > 0) {
00407:    $this->response->appendContent($actionResult);

13 TYPO3\Flow\Mvc\Controller\ActionController_Original::callActionMethod()

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Controller_ActionController.php:
00167:   }
00168: 
00169:   $this->callActionMethod();
00170: 
00171:  }

12 TYPO3\Flow\Mvc\Controller\ActionController_Original::processRequest(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00075:    try {
00076:     $this->emitBeforeControllerInvocation($request, $response, $controller);
00077:     $controller->processRequest($request, $response);
00078:     $this->emitAfterControllerInvocation($request, $response, $controller);
00079:    } catch (StopActionException $exception) {

11 TYPO3\Flow\Mvc\Dispatcher_Original::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00292:    $this->Flow_Aop_Proxy_fixMethodsAndAdvicesArrayForDoctrineProxies();
00293:   if (isset($this->Flow_Aop_Proxy_methodIsInAdviceMode['dispatch'])) {
00294:   $result = parent::dispatch($request, $response);
00295: 
00296:   } else {

10 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

9 call_user_func_array(array|2|, array|2|)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00276:   if (__CLASS__ !== $joinPoint->getClassName()) return parent::Flow_Aop_Proxy_invokeJoinPoint($joinPoint);
00277:   if (isset($this->Flow_Aop_Proxy_methodIsInAdviceMode[$joinPoint->getMethodName()])) {
00278:    return call_user_func_array(array('self', $joinPoint->getMethodName()), $joinPoint->getMethodArguments());
00279:   }
00280:  }

8 TYPO3\Flow\Mvc\Dispatcher::Flow_Aop_Proxy_invokeJoinPoint(TYPO3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AdviceChain.php:
00055:    $result = $this->advices[$this->adviceIndex]->invoke($joinPoint);
00056:   } else {
00057:    $result = $joinPoint->getProxy()->Flow_Aop_Proxy_invokeJoinpoint($joinPoint);
00058:   }
00059:   return $result;

7 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Security_Aspect_RequestDispatchingAspect.php:
00078:   try {
00079:    $this->firewall->blockIllegalRequests($request);
00080:    return $joinPoint->getAdviceChain()->proceed($joinPoint);
00081:   } catch (AuthenticationRequiredException $exception) {
00082:    $response = $joinPoint->getMethodArgument('response');

6 TYPO3\Flow\Security\Aspect\RequestDispatchingAspect_Original::blockIllegalRequestsAndForwardToAuthenticationEntryPoints(TYPO3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AroundAdvice.php:
00032:   $adviceObject = $this->objectManager->get($this->aspectObjectName);
00033:   $methodName = $this->adviceMethodName;
00034:   return $adviceObject->$methodName($joinPoint);
00035:  }
00036: }

5 TYPO3\Flow\Aop\Advice\AroundAdvice::invoke(TYPO3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AdviceChain.php:
00053:   $this->adviceIndex++;
00054:   if ($this->adviceIndex < count($this->advices)) {
00055:    $result = $this->advices[$this->adviceIndex]->invoke($joinPoint);
00056:   } else {
00057:    $result = $joinPoint->getProxy()->Flow_Aop_Proxy_invokeJoinpoint($joinPoint);

4 TYPO3\Flow\Aop\Advice\AdviceChain::pr
dering\RenderingContext)

Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/View/AbstractTemplateView.php:
00207:    }
00208:    $this->startRendering(self::RENDERING_LAYOUT, $parsedTemplate, $this->baseRenderingContext);
00209:    $output = $parsedLayout->render($this->baseRenderingContext);
00210:    $this->stopRendering();
00211:   } else {

14 TYPO3\Fluid\View\AbstractTemplateView::render()

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Controller_ActionController.php:
00403: 
00404:   if ($actionResult === NULL && $this->view instanceof \TYPO3\Flow\Mvc\View\ViewInterface) {
00405:    $this->response->appendContent($this->view->render());
00406:   } elseif (is_string($actionResult) && strlen($actionResult) > 0) {
00407:    $this->response->appendContent($actionResult);

13 TYPO3\Flow\Mvc\Controller\ActionController_Original::callActionMethod()

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Controller_ActionController.php:
00167:   }
00168: 
00169:   $this->callActionMethod();
00170: 
00171:  }

12 TYPO3\Flow\Mvc\Controller\ActionController_Original::processRequest(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00075:    try {
00076:     $this->emitBeforeControllerInvocation($request, $response, $controller);
00077:     $controller->processRequest($request, $response);
00078:     $this->emitAfterControllerInvocation($request, $response, $controller);
00079:    } catch (StopActionException $exception) {

11 TYPO3\Flow\Mvc\Dispatcher_Original::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00292:    $this->Flow_Aop_Proxy_fixMethodsAndAdvicesArrayForDoctrineProxies();
00293:   if (isset($this->Flow_Aop_Proxy_methodIsInAdviceMode['dispatch'])) {
00294:   $result = parent::dispatch($request, $response);
00295: 
00296:   } else {

10 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

9 call_user_func_array(array|2|, array|2|)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00276:   if (__CLASS__ !== $joinPoint->getClassName()) return parent::Flow_Aop_Proxy_invokeJoinPoint($joinPoint);
00277:   if (isset($this->Flow_Aop_Proxy_methodIsInAdviceMode[$joinPoint->getMethodName()])) {
00278:    return call_user_func_array(array('self', $joinPoint->getMethodName()), $joinPoint->getMethodArguments());
00279:   }
00280:  }

8 TYPO3\Flow\Mvc\Dispatcher::Flow_Aop_Proxy_invokeJoinPoint(TYPO3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AdviceChain.php:
00055:    $result = $this->advices[$this->adviceIndex]->invoke($joinPoint);
00056:   } else {
00057:    $result = $joinPoint->getProxy()->Flow_Aop_Proxy_invokeJoinpoint($joinPoint);
00058:   }
00059:   return $result;

7 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Security_Aspect_RequestDispatchingAspect.php:
00078:   try {
00079:    $this->firewall->blockIllegalRequests($request);
00080:    return $joinPoint->getAdviceChain()->proceed($joinPoint);
00081:   } catch (AuthenticationRequiredException $exception) {
00082:    $response = $joinPoint->getMethodArgument('response');

6 TYPO3\Flow\Security\Aspect\RequestDispatchingAspect_Original::blockIllegalRequestsAndForwardToAuthenticationEntryPoints(TYPO3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AroundAdvice.php:
00032:   $adviceObject = $this->objectManager->get($this->aspectObjectName);
00033:   $methodName = $this->adviceMethodName;
00034:   return $adviceObject->$methodName($joinPoint);
00035:  }
00036: }

5 TYPO3\Flow\Aop\Advice\AroundAdvice::invoke(TYPO3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AdviceChain.php:
00053:   $this->adviceIndex++;
00054:   if ($this->adviceIndex < count($this->advices)) {
00055:    $result = $this->advices[$this->adviceIndex]->invoke($joinPoint);
00056:   } else {
00057:    $result = $joinPoint->getProxy()->Flow_Aop_Proxy_invokeJoinpoint($joinPoint);

4 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00307:      $adviceChain->rewind();
00308:      $joinPoint = new \TYPO3\Flow\Aop\JoinPoint($this, 'TYPO3\Flow\Mvc\Dispatcher', 'dispatch', $methodArguments, $adviceChain);
00309:      $result = $adviceChain->proceed($joinPoint);
00310: 
00311:    } catch (\Exception $e) {

3 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Http/RequestHandler.php:
00122:   $this->securityContext->setRequest($actionRequest);
00123: 
00124:   $this->dispatcher->dispatch($actionRequest, $this->response);
00125: 
00126:   $this->response->makeStandardsCompliant($this->request);

2 TYPO3\Flow\Http\RequestHandler::handleRequest()

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Core/Bootstrap.php:
00111: 
00112:   $this->activeRequestHandler = $this->resolveRequestHandler();
00113:   $this-
Controller_ActionController.php:
00403: 
00404:   if ($actionResult === NULL && $this->view instanceof \TYPO3\Flow\Mvc\View\ViewInterface) {
00405:    $this->response->appendContent($this->view->render());
00406:   } elseif (is_string($actionResult) && strlen($actionResult) > 0) {
00407:    $this->response->appendContent($actionResult);

13 TYPO3\Flow\Mvc\Controller\ActionController_Original::callActionMethod()

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Controller_ActionController.php:
00167:   }
00168: 
00169:   $this->callActionMethod();
00170: 
00171:  }

12 TYPO3\Flow\Mvc\Controller\ActionController_Original::processRequest(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00075:    try {
00076:     $this->emitBeforeControllerInvocation($request, $response, $controller);
00077:     $controller->processRequest($request, $response);
00078:     $this->emitAfterControllerInvocation($request, $response, $controller);
00079:    } catch (StopActionException $exception) {

11 TYPO3\Flow\Mvc\Dispatcher_Original::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00292:    $this->Flow_Aop_Proxy_fixMethodsAndAdvicesArrayForDoctrineProxies();
00293:   if (isset($this->Flow_Aop_Proxy_methodIsInAdviceMode['dispatch'])) {
00294:   $result = parent::dispatch($request, $response);
00295: 
00296:   } else {

10 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

9 call_user_func_array(array|2|, array|2|)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00276:   if (__CLASS__ !== $joinPoint->getClassName()) return parent::Flow_Aop_Proxy_invokeJoinPoint($joinPoint);
00277:   if (isset($this->Flow_Aop_Proxy_methodIsInAdviceMode[$joinPoint->getMethodName()])) {
00278:    return call_user_func_array(array('self', $joinPoint->getMethodName()), $joinPoint->getMethodArguments());
00279:   }
00280:  }

8 TYPO3\Flow\Mvc\Dispatcher::Flow_Aop_Proxy_invokeJoinPoint(TYPO3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AdviceChain.php:
00055:    $result = $this->advices[$this->adviceIndex]->invoke($joinPoint);
00056:   } else {
00057:    $result = $joinPoint->getProxy()->Flow_Aop_Proxy_invokeJoinpoint($joinPoint);
00058:   }
00059:   return $result;

7 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Security_Aspect_RequestDispatchingAspect.php:
00078:   try {
00079:    $this->firewall->blockIllegalRequests($request);
00080:    return $joinPoint->getAdviceChain()->proceed($joinPoint);
00081:   } catch (AuthenticationRequiredException $exception) {
00082:    $response = $joinPoint->getMethodArgument('response');

6 TYPO3\Flow\Security\Aspect\RequestDispatchingAspect_Original::blockIllegalRequestsAndForwardToAuthenticationEntryPoints(TYPO3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AroundAdvice.php:
00032:   $adviceObject = $this->objectManager->get($this->aspectObjectName);
00033:   $methodName = $this->adviceMethodName;
00034:   return $adviceObject->$methodName($joinPoint);
00035:  }
00036: }

5 TYPO3\Flow\Aop\Advice\AroundAdvice::invoke(TYPO3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AdviceChain.php:
00053:   $this->adviceIndex++;
00054:   if ($this->adviceIndex < count($this->advices)) {
00055:    $result = $this->advices[$this->adviceIndex]->invoke($joinPoint);
00056:   } else {
00057:    $result = $joinPoint->getProxy()->Flow_Aop_Proxy_invokeJoinpoint($joinPoint);

4 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00307:      $adviceChain->rewind();
00308:      $joinPoint = new \TYPO3\Flow\Aop\JoinPoint($this, 'TYPO3\Flow\Mvc\Dispatcher', 'dispatch', $methodArguments, $adviceChain);
00309:      $result = $adviceChain->proceed($joinPoint);
00310: 
00311:    } catch (\Exception $e) {

3 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Http/RequestHandler.php:
00122:   $this->securityContext->setRequest($actionRequest);
00123: 
00124:   $this->dispatcher->dispatch($actionRequest, $this->response);
00125: 
00126:   $this->response->makeStandardsCompliant($this->request);

2 TYPO3\Flow\Http\RequestHandler::handleRequest()

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Core/Bootstrap.php:
00111: 
00112:   $this->activeRequestHandler = $this->resolveRequestHandler();
00113:   $this->activeRequestHandler->handleRequest();
00114:  }
00115: 

1 TYPO3\Flow\Core\Bootstrap::run()

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Web/index.php:
00025: $context = getenv('FLOW_CONTEXT') ?: (getenv('REDIRECT_FLOW_CONTEXT') ?: 'Development');
00026: $bootstrap = new \TYPO3\Flow\Core\Bootstrap($context);
00027: $bootstrap->run();

Controller_ActionController.php:
00167:   }
00168: 
00169:   $this->callActionMethod();
00170: 
00171:  }

12 TYPO3\Flow\Mvc\Controller\ActionController_Original::processRequest(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00075:    try {
00076:     $this->emitBeforeControllerInvocation($request, $response, $controller);
00077:     $controller->processRequest($request, $response);
00078:     $this->emitAfterControllerInvocation($request, $response, $controller);
00079:    } catch (StopActionException $exception) {

11 TYPO3\Flow\Mvc\Dispatcher_Original::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00292:    $this->Flow_Aop_Proxy_fixMethodsAndAdvicesArrayForDoctrineProxies();
00293:   if (isset($this->Flow_Aop_Proxy_methodIsInAdviceMode['dispatch'])) {
00294:   $result = parent::dispatch($request, $response);
00295: 
00296:   } else {

10 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

9 call_user_func_array(array|2|, array|2|)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00276:   if (__CLASS__ !== $joinPoint->getClassName()) return parent::Flow_Aop_Proxy_invokeJoinPoint($joinPoint);
00277:   if (isset($this->Flow_Aop_Proxy_methodIsInAdviceMode[$joinPoint->getMethodName()])) {
00278:    return call_user_func_array(array('self', $joinPoint->getMethodName()), $joinPoint->getMethodArguments());
00279:   }
00280:  }

8 TYPO3\Flow\Mvc\Dispatcher::Flow_Aop_Proxy_invokeJoinPoint(TYPO3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AdviceChain.php:
00055:    $result = $this->advices[$this->adviceIndex]->invoke($joinPoint);
00056:   } else {
00057:    $result = $joinPoint->getProxy()->Flow_Aop_Proxy_invokeJoinpoint($joinPoint);
00058:   }
00059:   return $result;

7 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Security_Aspect_RequestDispatchingAspect.php:
00078:   try {
00079:    $this->firewall->blockIllegalRequests($request);
00080:    return $joinPoint->getAdviceChain()->proceed($joinPoint);
00081:   } catch (AuthenticationRequiredException $exception) {
00082:    $response = $joinPoint->getMethodArgument('response');

6 TYPO3\Flow\Security\Aspect\RequestDispatchingAspect_Original::blockIllegalRequestsAndForwardToAuthenticationEntryPoints(TYPO3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AroundAdvice.php:
00032:   $adviceObject = $this->objectManager->get($this->aspectObjectName);
00033:   $methodName = $this->adviceMethodName;
00034:   return $adviceObject->$methodName($joinPoint);
00035:  }
00036: }

5 TYPO3\Flow\Aop\Advice\AroundAdvice::invoke(TYPO3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AdviceChain.php:
00053:   $this->adviceIndex++;
00054:   if ($this->adviceIndex < count($this->advices)) {
00055:    $result = $this->advices[$this->adviceIndex]->invoke($joinPoint);
00056:   } else {
00057:    $result = $joinPoint->getProxy()->Flow_Aop_Proxy_invokeJoinpoint($joinPoint);

4 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00307:      $adviceChain->rewind();
00308:      $joinPoint = new \TYPO3\Flow\Aop\JoinPoint($this, 'TYPO3\Flow\Mvc\Dispatcher', 'dispatch', $methodArguments, $adviceChain);
00309:      $result = $adviceChain->proceed($joinPoint);
00310: 
00311:    } catch (\Exception $e) {

3 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Http/RequestHandler.php:
00122:   $this->securityContext->setRequest($actionRequest);
00123: 
00124:   $this->dispatcher->dispatch($actionRequest, $this->response);
00125: 
00126:   $this->response->makeStandardsCompliant($this->request);

2 TYPO3\Flow\Http\RequestHandler::handleRequest()

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Core/Bootstrap.php:
00111: 
00112:   $this->activeRequestHandler = $this->resolveRequestHandler();
00113:   $this->activeRequestHandler->handleRequest();
00114:  }
00115: 

1 TYPO3\Flow\Core\Bootstrap::run()

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Web/index.php:
00025: $context = getenv('FLOW_CONTEXT') ?: (getenv('REDIRECT_FLOW_CONTEXT') ?: 'Development');
00026: $bootstrap = new \TYPO3\Flow\Core\Bootstrap($context);
00027: $bootstrap->run();

Dispatcher.php:
00075:    try {
00076:     $this->emitBeforeControllerInvocation($request, $response, $controller);
00077:     $controller->processRequest($request, $response);
00078:     $this->emitAfterControllerInvocation($request, $response, $controller);
00079:    } catch (StopActionException $exception) {

11 TYPO3\Flow\Mvc\Dispatcher_Original::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00292:    $this->Flow_Aop_Proxy_fixMethodsAndAdvicesArrayForDoctrineProxies();
00293:   if (isset($this->Flow_Aop_Proxy_methodIsInAdviceMode['dispatch'])) {
00294:   $result = parent::dispatch($request, $response);
00295: 
00296:   } else {

10 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

9 call_user_func_array(array|2|, array|2|)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00276:   if (__CLASS__ !== $joinPoint->getClassName()) return parent::Flow_Aop_Proxy_invokeJoinPoint($joinPoint);
00277:   if (isset($this->Flow_Aop_Proxy_methodIsInAdviceMode[$joinPoint->getMethodName()])) {
00278:    return call_user_func_array(array('self', $joinPoint->getMethodName()), $joinPoint->getMethodArguments());
00279:   }
00280:  }

8 TYPO3\Flow\Mvc\Dispatcher::Flow_Aop_Proxy_invokeJoinPoint(TYPO3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AdviceChain.php:
00055:    $result = $this->advices[$this->adviceIndex]->invoke($joinPoint);
00056:   } else {
00057:    $result = $joinPoint->getProxy()->Flow_Aop_Proxy_invokeJoinpoint($joinPoint);
00058:   }
00059:   return $result;

7 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Security_Aspect_RequestDispatchingAspect.php:
00078:   try {
00079:    $this->firewall->blockIllegalRequests($request);
00080:    return $joinPoint->getAdviceChain()->proceed($joinPoint);
00081:   } catch (AuthenticationRequiredException $exception) {
00082:    $response = $joinPoint->getMethodArgument('response');

6 TYPO3\Flow\Security\Aspect\RequestDispatchingAspect_Original::blockIllegalRequestsAndForwardToAuthenticationEntryPoints(TYPO3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AroundAdvice.php:
00032:   $adviceObject = $this->objectManager->get($this->aspectObjectName);
00033:   $methodName = $this->adviceMethodName;
00034:   return $adviceObject->$methodName($joinPoint);
00035:  }
00036: }

5 TYPO3\Flow\Aop\Advice\AroundAdvice::invoke(TYPO3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AdviceChain.php:
00053:   $this->adviceIndex++;
00054:   if ($this->adviceIndex < count($this->advices)) {
00055:    $result = $this->advices[$this->adviceIndex]->invoke($joinPoint);
00056:   } else {
00057:    $result = $joinPoint->getProxy()->Flow_Aop_Proxy_invokeJoinpoint($joinPoint);

4 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00307:      $adviceChain->rewind();
00308:      $joinPoint = new \TYPO3\Flow\Aop\JoinPoint($this, 'TYPO3\Flow\Mvc\Dispatcher', 'dispatch', $methodArguments, $adviceChain);
00309:      $result = $adviceChain->proceed($joinPoint);
00310: 
00311:    } catch (\Exception $e) {

3 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Http/RequestHandler.php:
00122:   $this->securityContext->setRequest($actionRequest);
00123: 
00124:   $this->dispatcher->dispatch($actionRequest, $this->response);
00125: 
00126:   $this->response->makeStandardsCompliant($this->request);

2 TYPO3\Flow\Http\RequestHandler::handleRequest()

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Core/Bootstrap.php:
00111: 
00112:   $this->activeRequestHandler = $this->resolveRequestHandler();
00113:   $this->activeRequestHandler->handleRequest();
00114:  }
00115: 

1 TYPO3\Flow\Core\Bootstrap::run()

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Web/index.php:
00025: $context = getenv('FLOW_CONTEXT') ?: (getenv('REDIRECT_FLOW_CONTEXT') ?: 'Development');
00026: $bootstrap = new \TYPO3\Flow\Core\Bootstrap($context);
00027: $bootstrap->run();

Dispatcher.php:
00292:    $this->Flow_Aop_Proxy_fixMethodsAndAdvicesArrayForDoctrineProxies();
00293:   if (isset($this->Flow_Aop_Proxy_methodIsInAdviceMode['dispatch'])) {
00294:   $result = parent::dispatch($request, $response);
00295: 
00296:   } else {

10 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)
9 call_user_func_array(array|2|, array|2|)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00276:   if (__CLASS__ !== $joinPoint->getClassName()) return parent::Flow_Aop_Proxy_invokeJoinPoint($joinPoint);
00277:   if (isset($this->Flow_Aop_Proxy_methodIsInAdviceMode[$joinPoint->getMethodName()])) {
00278:    return call_user_func_array(array('self', $joinPoint->getMethodName()), $joinPoint->getMethodArguments());
00279:   }
00280:  }

8 TYPO3\Flow\Mvc\Dispatcher::Flow_Aop_Proxy_invokeJoinPoint(TYPO3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AdviceChain.php:
00055:    $result = $this->advices[$this->adviceIndex]->invoke($joinPoint);
00056:   } else {
00057:    $result = $joinPoint->getProxy()->Flow_Aop_Proxy_invokeJoinpoint($joinPoint);
00058:   }
00059:   return $result;

7 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Security_Aspect_RequestDispatchingAspect.php:
00078:   try {
00079:    $this->firewall->blockIllegalRequests($request);
00080:    return $joinPoint->getAdviceChain()->proceed($joinPoint);
00081:   } catch (AuthenticationRequiredException $exception) {
00082:    $response = $joinPoint->getMethodArgument('response');

6 TYPO3\Flow\Security\Aspect\RequestDispatchingAspect_Original::blockIllegalRequestsAndForwardToAuthenticationEntryPoints(TYPO3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AroundAdvice.php:
00032:   $adviceObject = $this->objectManager->get($this->aspectObjectName);
00033:   $methodName = $this->adviceMethodName;
00034:   return $adviceObject->$methodName($joinPoint);
00035:  }
00036: }

5 TYPO3\Flow\Aop\Advice\AroundAdvice::invoke(TYPO3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AdviceChain.php:
00053:   $this->adviceIndex++;
00054:   if ($this->adviceIndex < count($this->advices)) {
00055:    $result = $this->advices[$this->adviceIndex]->invoke($joinPoint);
00056:   } else {
00057:    $result = $joinPoint->getProxy()->Flow_Aop_Proxy_invokeJoinpoint($joinPoint);

4 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00307:      $adviceChain->rewind();
00308:      $joinPoint = new \TYPO3\Flow\Aop\JoinPoint($this, 'TYPO3\Flow\Mvc\Dispatcher', 'dispatch', $methodArguments, $adviceChain);
00309:      $result = $adviceChain->proceed($joinPoint);
00310: 
00311:    } catch (\Exception $e) {

3 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Http/RequestHandler.php:
00122:   $this->securityContext->setRequest($actionRequest);
00123: 
00124:   $this->dispatcher->dispatch($actionRequest, $this->response);
00125: 
00126:   $this->response->makeStandardsCompliant($this->request);

2 TYPO3\Flow\Http\RequestHandler::handleRequest()

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Core/Bootstrap.php:
00111: 
00112:   $this->activeRequestHandler = $this->resolveRequestHandler();
00113:   $this->activeRequestHandler->handleRequest();
00114:  }
00115: 

1 TYPO3\Flow\Core\Bootstrap::run()

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Web/index.php:
00025: $context = getenv('FLOW_CONTEXT') ?: (getenv('REDIRECT_FLOW_CONTEXT') ?: 'Development');
00026: $bootstrap = new \TYPO3\Flow\Core\Bootstrap($context);
00027: $bootstrap->run();

Dispatcher.php:
00276:   if (__CLASS__ !== $joinPoint->getClassName()) return parent::Flow_Aop_Proxy_invokeJoinPoint($joinPoint);
00277:   if (isset($this->Flow_Aop_Proxy_methodIsInAdviceMode[$joinPoint->getMethodName()])) {
00278:    return call_user_func_array(array('self', $joinPoint->getMethodName()), $joinPoint->getMethodArguments());
00279:   }
00280:  }

8 TYPO3\Flow\Mvc\Dispatcher::Flow_Aop_Proxy_invokeJoinPoint(TYPO3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AdviceChain.php:
00055:    $result = $this->advices[$this->adviceIndex]->invoke($joinPoint);
00056:   } else {
00057:    $result = $joinPoint->getProxy()->Flow_Aop_Proxy_invokeJoinpoint($joinPoint);
00058:   }
00059:   return $result;

7 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Security_Aspect_RequestDispatchingAspect.php:
00078:   try {
00079:    $this->firewall->blockIllegalRequests($request);
00080:    return $joinPoint->getAdviceChain()->proceed($joinPoint);
00081:   } catch (AuthenticationRequiredException $exception) {
00082:    $response = $joinPoint->getMethodArgument('response');

6 TYPO3\Flow\Security\Aspect\RequestDispatchingAspect_Original::blockIllegalRequestsAndForwardToAuthenticationEntryPoints(TYPO3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AroundAdvice.php:
00032:   $adviceObject = $this->objectManager->get($this->aspectObjectName);
00033:   $methodName = $this->adviceMethodName;
00034:   return $adviceObject->$methodName($joinPoint);
00035:  }
00036: }

5 TYPO3\Flow\Aop\Advice\AroundAdvice::invoke(TYPO3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AdviceChain.php:
00053:   $this->adviceIndex++;
00054:   if ($this->adviceIndex < count($this->advices)) {
00055:    $result = $this->advices[$this->adviceIndex]->invoke($joinPoint);
00056:   } else {
00057:    $result = $joinPoint->getProxy()->Flow_Aop_Proxy_invokeJoinpoint($joinPoint);

4 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00307:      $adviceChain->rewind();
00308:      $joinPoint = new \TYPO3\Flow\Aop\JoinPoint($this, 'TYPO3\Flow\Mvc\Dispatcher', 'dispatch', $methodArguments, $adviceChain);
00309:      $result = $adviceChain->proceed($joinPoint);
00310: 
00311:    } catch (\Exception $e) {

3 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Http/RequestHandler.php:
00122:   $this->securityContext->setRequest($actionRequest);
00123: 
00124:   $this->dispatcher->dispatch($actionRequest, $this->response);
00125: 
00126:   $this->response->makeStandardsCompliant($this->request);

2 TYPO3\Flow\Http\RequestHandler::handleRequest()

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Core/Bootstrap.php:
00111: 
00112:   $this->activeRequestHandler = $this->resolveRequestHandler();
00113:   $this->activeRequestHandler->handleRequest();
00114:  }
00115: 

1 TYPO3\Flow\Core\Bootstrap::run()

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Web/index.php:
00025: $context = getenv('FLOW_CONTEXT') ?: (getenv('REDIRECT_FLOW_CONTEXT') ?: 'Development');
00026: $bootstrap = new \TYPO3\Flow\Core\Bootstrap($context);
00027: $bootstrap->run();

rity_Aspect_RequestDispatchingAspect.php:
00078:   try {
00079:    $this->firewall->blockIllegalRequests($request);
00080:    return $joinPoint->getAdviceChain()->proceed($joinPoint);
00081:   } catch (AuthenticationRequiredException $exception) {
00082:    $response = $joinPoint->getMethodArgument('response');

6
TYPO3\Flow\Security\Aspect\RequestDispatchingAspect_Original::blockIllegalRequestsAndForwardToAuthenticationEntryPoints(TYPO3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AroundAdvice.php:
00032:   $adviceObject = $this->objectManager->get($this->aspectObjectName);
00033:   $methodName = $this->adviceMethodName;
00034:   return $adviceObject->$methodName($joinPoint);
00035:  }
00036: }

5 TYPO3\Flow\Aop\Advice\AroundAdvice::invoke(TYPO3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AdviceChain.php:
00053:   $this->adviceIndex++;
00054:   if ($this->adviceIndex < count($this->advices)) {
00055:    $result = $this->advices[$this->adviceIndex]->invoke($joinPoint);
00056:   } else {
00057:    $result = $joinPoint->getProxy()->Flow_Aop_Proxy_invokeJoinpoint($joinPoint);

4 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00307:      $adviceChain->rewind();
00308:      $joinPoint = new \TYPO3\Flow\Aop\JoinPoint($this, 'TYPO3\Flow\Mvc\Dispatcher', 'dispatch', $methodArguments, $adviceChain);
00309:      $result = $adviceChain->proceed($joinPoint);
00310: 
00311:    } catch (\Exception $e) {

3 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Http/RequestHandler.php:
00122:   $this->securityContext->setRequest($actionRequest);
00123: 
00124:   $this->dispatcher->dispatch($actionRequest, $this->response);
00125: 
00126:   $this->response->makeStandardsCompliant($this->request);

2 TYPO3\Flow\Http\RequestHandler::handleRequest()

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Core/Bootstrap.php:
00111: 
00112:   $this->activeRequestHandler = $this->resolveRequestHandler();
00113:   $this->activeRequestHandler->handleRequest();
00114:  }
00115: 

1 TYPO3\Flow\Core\Bootstrap::run()

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Web/index.php:
00025: $context = getenv('FLOW_CONTEXT') ?: (getenv('REDIRECT_FLOW_CONTEXT') ?: 'Development');
00026: $bootstrap = new \TYPO3\Flow\Core\Bootstrap($context);
00027: $bootstrap->run();

\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AroundAdvice.php:
00032:   $adviceObject = $this->objectManager->get($this->aspectObjectName);
00033:   $methodName = $this->adviceMethodName;
00034:   return $adviceObject->$methodName($joinPoint);
00035:  }
00036: }

5 TYPO3\Flow\Aop\Advice\AroundAdvice::invoke(TYPO3\Flow\Aop\JoinPoint)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Aop/Advice/AdviceChain.php:
00053:   $this->adviceIndex++;
00054:   if ($this->adviceIndex < count($this->advices)) {
00055:    $result = $this->advices[$this->adviceIndex]->invoke($joinPoint);
00056:   } else {
00057:    $result = $joinPoint->getProxy()->Flow_Aop_Proxy_invokeJoinpoint($joinPoint);

4 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Dispatcher.php:
00307:      $adviceChain->rewind();
00308:      $joinPoint = new \TYPO3\Flow\Aop\JoinPoint($this, 'TYPO3\Flow\Mvc\Dispatcher', 'dispatch', $methodArguments, $adviceChain);
00309:      $result = $adviceChain->proceed($joinPoint);
00310: 
00311:    } catch (\Exception $e) {

3 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Http/RequestHandler.php:
00122:   $this->securityContext->setRequest($actionRequest);
00123: 
00124:   $this->dispatcher->dispatch($actionRequest, $this->response);
00125: 
00126:   $this->response->makeStandardsCompliant($this->request);

2 TYPO3\Flow\Http\RequestHandler::handleRequest()

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Core/Bootstrap.php:
00111: 
00112:   $this->activeRequestHandler = $this->resolveRequestHandler();
00113:   $this->activeRequestHandler->handleRequest();
00114:  }
00115: 

1 TYPO3\Flow\Core\Bootstrap::run()

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Web/index.php:
00025: $context = getenv('FLOW_CONTEXT') ?: (getenv('REDIRECT_FLOW_CONTEXT') ?: 'Development');
00026: $bootstrap = new \TYPO3\Flow\Core\Bootstrap($context);
00027: $bootstrap->run();

Dispatcher.php:
00307:      $adviceChain->rewind();
00308:      $joinPoint = new \TYPO3\Flow\Aop\JoinPoint($this, 'TYPO3\Flow\Mvc\Dispatcher', 'dispatch', $methodArguments, $adviceChain);
00309:      $result = $adviceChain->proceed($joinPoint);
00310: 
00311:    } catch (\Exception $e) {

3 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\Flow\Http\Response)

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Http/RequestHandler.php:
00122:   $this->securityContext->setRequest($actionRequest);
00123: 
00124:   $this->dispatcher->dispatch($actionRequest, $this->response);
00125: 
00126:   $this->response->makeStandardsCompliant($this->request);

2 TYPO3\Flow\Http\RequestHandler::handleRequest()

Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Core/Bootstrap.php:
00111: 
00112:   $this->activeRequestHandler = $this->resolveRequestHandler();
00113:   $this->activeRequestHandler->handleRequest();
00114:  }
00115: 

1 TYPO3\Flow\Core\Bootstrap::run()

/Daten/htdocs/customer_websites/spf/TYPO3-Neos-1.0/Web/index.php:
00025: $context = getenv('FLOW_CONTEXT') ?: (getenv('REDIRECT_FLOW_CONTEXT') ?: 'Development');
00026: $bootstrap = new \TYPO3\Flow\Core\Bootstrap($context);
00027: $bootstrap->run();

#4 - 2014-03-31 19:48 - Ben Grout
- File neos_500_Internal_Server_Error.html added

I am getting this error too. I've attached the stack trace - looks to be the same problem that Stefan has. Flushing the cache (./flow flow:cache:flush)
gets rid of the exception.

#5 - 2014-10-02 13:30 - Jonas Renggli
- Status changed from Needs Feedback to Closed

Can't reproduce this in Neos 1.1.2.
If the problem still exists please open an issue on https://jira.typo3.org/

Files
neos_500_Internal_Server_Error.html 44.1 kB 2014-03-31 Ben Grout
